unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, windows, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls,
  LMessages, Unit2;

type

  { TPageControl }

  TPageControl = class(ComCtrls.TPageControl)
  public
    procedure CNDrawitem(var Message: TWMDrawItem); message LM_DRAWITEM;
  end;

  { TForm1 }

  TForm1 = class(TForm)
    Frame1_1: TFrame1;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    procedure FormCreate(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TPageControl }

procedure TPageControl.CNDrawitem(var Message: TWMDrawItem);
var
  Rect: TRect;
begin
  Rect := Message.DrawItemStruct^.rcItem;
  InflateRect(Rect, -4, -4);
  TextOut(Message.DrawItemStruct^.hDC, Rect.Left, Rect.Top,
          PChar(Pages[Message.DrawItemStruct^.itemID].Caption),
          Length(Pages[Message.DrawItemStruct^.itemID].Caption));
  Message.Result := 1;
  inherited;
end;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  PageControl1.OwnerDraw := True;
end;

end.

